def gcd(a, b):
    if a < b:
        a, b = b, a
    while b != 0:
        a, b = b, a % b
    return a

def precompute(machines):
    pres = [machines]
    n = 2
    while len(machines)*2 // n != 0:
        print(pres)
        pres_n = []
        for i in range(0, len(machines)-2, n):
            pres_n.append(pres[-1][i//n]*pres[-1][i//n + 1])
        pres.append(pres_n)
        print(n)
        n *= 2
    return pres


def main():
    cuters = int(input())
    machines = list(map(lambda i: int(i), input().split(" ")))
    precompute(machines)
    query = int(input())
    for i in range(query):
        start, end, need = map(lambda t: int(t), input().split(" "))
        for j in range(start-1, end):
            temp = gcd(need, machines[j])
            need //= temp
            if need == 1:
                print("Yes")
                break
        else:
            print("No")

main()

